/*
 * r2d2 defines and macros
 * No copyright, various portions from internet portions
 */  


#ifndef DEFINES_H_
#define DEFINES_H_

#include "time.h"
#include "rc.h"

#define F_CPU 8000000L

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <avr/portpins.h>

#ifndef SCTBI
#define sbi(port,bit) 	asm("sbi %0, %1" : : "I" (_SFR_IO_ADDR(port)), "I" (bit))
#define cbi(port,bit) 	asm("cbi %0, %1" : : "I" (_SFR_IO_ADDR(port)), "I" (bit))
#define tbi(port,bit) 	port ^= (1<<bit)
#define SCTBI
#endif

#define clockCyclesPerMicrosecond() ( F_CPU / 1000000L )
#define clockCyclesToMicroseconds(a) ( ((a) * 1000L) / (F_CPU / 1000L) )



#endif /* DEFINES_H_ */