/*
 * main.c - R2D2 Firmware for HobbyKK board (ATmega168PA)
 * 
 * Written in 2015 by James Rowley - james@jrowley.me
 * 
 * To the extent possible under law, the author(s) have dedicated all copyright and
 * related and neighboring rights to this software to the public domain worldwide.
 * This software is distributed without any warranty.
 * 
 * You should have received a copy of the CC0 Public Domain Dedication along
 * with this software. If not, see <http://creativecommons.org/publicdomain/zero/1.0/>.
 * 
 */  

#include "defines.h"

uint16_t rcIn[ICHAN],rcOut[OCHAN];

int main(void)
{
	DDRB |= (1<<PB6);
	
	
	initTime();
	initRC();
	sei();
	
	while (1) 
    {
		int steer = rcIn[1]-1500;
		rcOut[0]=rcIn[0]-steer;
		rcOut[1]=rcIn[0]+steer;
		outputPWM();
    }
}
